import request from '@/utils/request'

// 查询当前登录用户设备列表（u_device）
export function listMyDevices(params) {
  return request({
    url: '/system/app/device/list',
    method: 'get',
    params
  })
}

// 新增设备（u_device）
export function addMyDevice(data) {
  return request({
    url: '/system/app/device',
    method: 'post',
    data
  })
}

// 修改设备（u_device）
export function updateMyDevice(data) {
  return request({
    url: '/system/app/device',
    method: 'put',
    data
  })
}

// 删除设备（u_device，支持批量）
export function deleteMyDevices(ids) {
  return request({
    url: `/system/app/device/${ids}`,
    method: 'delete'
  })
}
